.overflow-hidden{
  overflow: hidden !important;
}

.disabled{
    cursor: not-allowed;
}
.ribbon-wrapper{
  position: relative;
}
.ribbon {
  position: absolute;
  left: -5px; top: -5px;
  z-index: 1;
  overflow: hidden;
  width: 75px; height: 75px;
  text-align: right;
}
.ribbon span {
  font-size: 10px;
  font-weight: bold;
  color: #FFF;
  text-transform: uppercase;
  text-align: center;
  line-height: 20px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  width: 100px;
  display: block;
  background: #79A70A;
  background: linear-gradient(#F70505 0%, #8F0808 100%);
  box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
  position: absolute;
  top: 19px; left: -21px;
}
.ribbon span::before {
  content: "";
  position: absolute; left: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid #8F0808;
  border-right: 3px solid transparent;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #8F0808;
}
.ribbon span::after {
  content: "";
  position: absolute; right: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid transparent;
  border-right: 3px solid #8F0808;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #8F0808;
}
.mdi-navigation-arrow-drop-down{
  position: absolute;
  top: 20%;
  right: 0px;
}

#title-filter{
  position: absolute;
  top: 25px;
  left: 0px;
  width: 100%;
}
.white-select .select-wrapper{
  background: white;
}
.row.no-pad-bot{
  padding-bottom: 0px !important;
}
.no-marg-bot,
.no-marg{
  margin-bottom: 0px !important;
}
.no-marg-top,
.no-marg{
  margin-top: 0px !important;
}
.active a.chzn-color-3way-0,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_0"]{
    background-color: #46a546 !important;
    box-shadow: 0 1px 2px rgba(0,0,0,0.05);
    color: #ffffff !important;
}
a.chzn-color-3way-0:hover,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_0"]:hover{
    background-color: #2f6f2f !important;
}
.active a.chzn-color-3way-1,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_1"]{
    background-color: #bd362f !important;
    box-shadow: 0 1px 2px rgba(0,0,0,0.05);
    color: #ffffff !important;
}
a.chzn-color-3way-1:hover,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_1"]:hover{
    background-color: #802420 !important;
}
.active a.chzn-color-3way-2,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_2"]{
    color: #333 !important;
    background-color: #ffee58 !important;
    box-shadow: 0 1px 2px rgba(0,0,0,0.05);
}
a.chzn-color-3way-2:hover,
.chzn-color-state.chzn-single.chzn-color-3way[rel="value_2"]:hover{
    color: #333 !important;
    background-color: #ffeb3b !important;
}
.white-active .active a{
    color: #FFF;
}
.booking-state{
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0; left: 0; bottom: 0; right: 0;
}
.booking-state-short{
    height: 100%;
    width: 140px;
    position: absolute;
    left: 20%;
    top: 0%;
    opacity: 0.6;
}
.has-state{
    position: relative;
}
.booking-state.booking-up{
    background: url(../images/booked_up.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
}
.booking-state-short.booking-up{
    background: url(../images/booked_up_light.png);
    background-size: 130%;
    background-repeat: no-repeat;
    background-position: center center;
}
.booking-state.no-ordering{
    background: url(../images/no_ordering.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
}
.booking-state-short.no-ordering{
    background: url(../images/no_ordering_light.png);
    background-size: 130%;
    background-repeat: no-repeat;
    background-position: center center;
}
.card .icon-holder{
    width: 100%;
    height: 32px;
}
.card .icon-holder .icon{
    height: 32px;
    width: 32px;
    margin: 1px;
    line-height: 32px;
    font-size: 25px;
    text-align: center;
    float: right;
}
.card .icon-holder .icon i{
    line-height: 32px;
    font-size: 25px;
}
.card .icon-holder .icon.plus-icon{
    background: url('../images/ski_eckert_plus.jpg');
    background-position: center center;
    background-size: cover;
}
.list-icon{
    height: 22px;
    width: 22px;
    margin-right: 5px;
    line-height: 22px;
    font-size: 18px;
    text-align: center;
    float: left;
}
.list-icon.plus-icon,
.card .icon-holder .icon.plus-icon{
    background: url('../images/ski_eckert_plus.jpg');
    background-position: center center;
    background-size: cover;
}

.table tbody > tr > td{
    position: relative;
}
.table tbody > tr .identifier{
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 2px;
}
.table tbody > tr.overpaid > td .identifier{
    background: #368bff;
}
.table tbody > tr.paid > td .identifier{
    background: #2dcd29;
}
.table tbody > tr.booking-up > td .identifier{
    background: #F44336;
}
.table tbody > tr.no-ordering > td .identifier{
    background: #ffeb3b ;
}
.table tbody > tr.blocked_customer > td .identifier{
    background: #F44336;
}
.table tbody > tr.has-old > td .identifier{
    background: #368bff;
}
.table-striped tbody > tr.wait > td{
    background: rgba(25,118,210,.05);
}
.table-striped tbody > tr.wait:nth-child(2n+1) > td{
    background: rgba(25,118,210,.1);
}
.table-striped tbody > tr.option > td{
    background: rgba(0,151,167,.1);
}
.table-striped tbody > tr.option:nth-child(2n+1) > td{
    background: rgba(0,151,167,.15);
}
.table-striped tbody > tr.over > td,
.table-striped tbody > tr.cancel > td{
    background: rgba(189,54,47,.1);
}
.table-striped tbody > tr.over:nth-child(2n+1) > td,
.table-striped tbody > tr.cancel:nth-child(2n+1) > td{
    background: rgba(189,54,47,.15);
}
tr.first-head th{
    padding-bottom: 0px;
}
tr.second-head th{
    border: none !important;
    padding-top: 0px !important;
    font-weight: normal;
    font-size: 8pt;
}
tfoot.adm{
    background: #444;
    color: #FFF;
}
btn.yellow{
    background: #0F0;
}
.btn-group-reverse .btn-danger{
    background-color: #46a546 !important;
}
.btn-group-reverse .btn-danger:hover{
    background-color: #2f6f2f !important;
}
.btn-group-reverse .btn-success{
    background-color: #bd362f !important;
}
.btn-group-reverse .btn-success:hover{
    background-color: #802420 !important;
}
.btn-group-info.btn-group-reverse .btn-success,
.btn-group-info .btn-danger{
    background-color: #46a546 !important;
}
.btn-group-info.btn-group-reverse .btn-success:hover,
.btn-group-info .btn-danger:hover{
    background-color: #2f6f2f !important;
}
.btn-group-info.btn-group-reverse .btn-danger,
.btn-group-info .btn-success{
    background-color: #2f96b4 !important;
}
.btn-group-info.btn-group-reverse .btn-danger:hover,
.btn-group-info .btn-success:hover{
    background-color: #1f6377 !important;
}

.btn-group-primary.btn-group-reverse .btn-success,
.btn-group-primary .btn-danger{
    background-color: #46a546 !important;
}
.btn-group-primary.btn-group-reverse .btn-success:hover,
.btn-group-primary .btn-danger:hover{
    background-color: #2f6f2f !important;
}
.btn-group-primary.btn-group-reverse .btn-danger,
.btn-group-primary .btn-success{
    background-color: #2384d3 !important;
}
.btn-group-primary.btn-group-reverse .btn-danger:hover,
.btn-group-primary .btn-success:hover{
    background-color: #185b91 !important;
}
.box{
	position: relative;
	width: 50%;		/* desired width */
    box-shadow: 0 0 5px rgba(0,0,0,.5);
}
.box:before{
	content: "";
	display: block;
	padding-top: 100%; 	/* initial ratio of 1:1*/
}
.box .content{
	position:  absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	display: flex;
    height: 100%;
    align-items: center;
}
.bookingCardMenu a{
    text-shadow: none !important;
    line-height: 40px;
    height: 40px;
    padding: 0px 10px !important;
}
.bookingCardMenu a:hover,
.bookingCardMenu a:focus{
    background-color: #fff !important;
    outline: none !important;
    color: #000 !important;
}
.pink .bookingCardMenu a:hover{
    color: #e91e63  !important;
}
.green .bookingCardMenu a:hover{
    color: #4CAF50  !important;
}
.deep-orange .bookingCardMenu a:hover{
    color: #ff5722  !important;
}
.cyan.darken-1 .bookingCardMenu a:hover{
    color: #00acc1 !important;
}
.grey.darken-1 .bookingCardMenu a:hover{
    color: #757575 !important;
}
.purple .bookingCardMenu a:hover{
    color: #9c27b0  !important;
}
.lime.darken-2 .bookingCardMenu a:hover{
    color: #afb42b   !important;
}
